Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162907 - CAN-2005-2177 net-snmp denial of service
Summary: CAN-2005-2177 net-snmp denial of service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard: impact=low,public=20050701,source=cve...
Depends On:
Blocks: 156320 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-11 16:15 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-373
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 14:26:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:373 qe-ready SHIPPED_LIVE Low: net-snmp security update 2005-09-28 04:00:00 UTC

Description Josh Bressers 2005-07-11 16:15:55 UTC
This text comes from this message:
http://sourceforge.net/mailarchive/forum.php?thread_id=7659656&forum_id=12455
From: Wes Hardaker

 A security vulnerability has been found in Net-SNMP releases that
 could allow a denial of service attack against Net-SNMP agent"s which
 have opened a stream based protocol (EG, TCP but not UDP; it should be
 noted that Net-SNMP does not by default open a TCP port).  Because of
 this, we"ve immediately released a number of Net-SNMP versions
 (5.2.1.2, 5.1.3, and 5.0.10.2) to fix this problem in the various
 Net-SNMP branches.  Most of these versions are minor patches from a
 previous release, but since we were so close to releasing 5.1.3 anyway
 we decided to do a full release of that rather than an incremental
 release from the 5.1.2 release.

Comment 1 Josh Bressers 2005-07-11 16:16:37 UTC
This issue may also affect RHEL3

Comment 9 Red Hat Bugzilla 2005-09-28 14:26:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-373.html



Note You need to log in before you can comment on or make changes to this bug.